Subject: Re: [mobile-ip] Re: [Q] Routing header

From: [email-masked]
Date: Thu, 31 May 2001 14:41:31 +0000

> Hi Wolfgang,
> 
> 
> [email-masked] wrote:
> > > This is basically what my draft is proposing.  And in this case, the
> > > MIPv6 spec needs redefine the "CN Operation".
> > > (all is in the draft
> > > http://www.inrialpes.fr/planete/people/ernst/Documents/draft-ernst-mobileip-v6-network.txt)
> > >
> > > But there is an authorization issue that needs to be addressed as
> > > everyone knows.
> > 
> > I also have another issue in mind. Usually mobile nodes as
> > described in MIPv6 get an address assigned (c/o address), which is
> > valid and routable at their actual temporary Internet access point.
> > 
> > Reading your draft, if a MR roams with the attached mobile network,
> > the MR will get assigned a valid, routable c/o address at the new
> > access point, while nodes of the mobile subnets keep their permanent
> > static address (except if they are MNs, what you excluded for the
> > first step). If one of the hosts at the mobile subnet now sends out
> > some packets, it would use its permanent static IP address as source
> > address, and therefore face the problem of ingress filtering (except
> > the MR does some encapsulation work, but I havn't seen something like
> > that in the draft).
> 
> OK, I will add a section in my revise draft.   
> 
> I am not sure that IPv6 routers should perform ingress filtering (recent
> discussions did not give me a concrete answer ...) ; otherwise my idea
> is that MR would indeed encapsulate all outgoing packets.    

At least if you have a look in the MIPv6 draft, chapter 2, support 
for coexistence with ingress filtering is pointed out as one benefit 
of MIPv6 compared to MIPv4, so there seems to be no reason for 
stopping ingress filtering in IPv6.

Encapsulation could work around this problem, but you have to 
investigate  the influence of this encapsulation to authentication, 
firewalls, and overhead added to narrow band links.

> Thanks to have pointed this out.
> Thierry.
> 
> 
> --
> * mailto:[email-masked]  Tel +33 (0) 4 76 61 52 69 
> * INRIA Rhone-Alpes Projet PLANETE       (fax 52 52) 
> * and MOTOROLA Labs Paris
> * http://www.inrialpes.fr/planete/people/ernst/Welcome.html
> 
Wolfgang
##########################################################
##  Wolfgang Fritsche
##  Project Manager 
##         
##  IABG
##  Department for Communication Networks
##  Einsteinstr. 20
##  85521 Ottobrunn
##  Germany
##  
##  Phone: +49 89 6088 2897
##  Fax: +49 89 6088 2845
##  E-Mail: [email-masked]
##  Web: www.ipv6.iabg.de, www.iabg.de
##########################################################
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------